Bug 1122705 - [abrt] yum: sqlutils.py:166:executeSQLQmark:OperationalError: no such table: trans_beg
Summary: [abrt] yum: sqlutils.py:166:executeSQLQmark:OperationalError: no such table: ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:322b3c56c953a373e4238ef907b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 20:06 UTC by monroeds
Modified: 2015-06-29 21:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:43:33 UTC


Attachments (Terms of Use)
File: backtrace (1.74 KB, text/plain)
2014-07-23 20:06 UTC, monroeds
no flags Details
File: environ (351 bytes, text/plain)
2014-07-23 20:06 UTC, monroeds
no flags Details

Description monroeds 2014-07-23 20:06:21 UTC
Version-Release number of selected component:
yum-3.4.3-152.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /bin/yum history
executable:     /bin/yum
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlutils.py:166:executeSQLQmark:OperationalError: no such table: trans_beg

Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 371, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 174, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 584, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 3079, in doCommand
    ret = base.historyListCmd(extcmds)
  File "/usr/share/yum-cli/output.py", line 2028, in historyListCmd
    tids, printall = self._history_list_transactions(extcmds)
  File "/usr/share/yum-cli/output.py", line 1985, in _history_list_transactions
    old = self.history.last()
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1267, in last
    ret = self.old([], 1, complete_transactions_only)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1216, in old
    executeSQL(cur, sql, params)
  File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 166, in executeSQLQmark
    return cursor.execute(query)
OperationalError: no such table: trans_beg

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0x2b5c420>
query: 'SELECT tid,\n                         trans_beg.timestamp AS beg_ts,\n                         trans_beg.rpmdb_version AS beg_rv,\n                         trans_end.timestamp AS end_ts,\n                         trans_end.rpmdb_version AS end_rv,\n                         loginuid, return_code\n                  FROM trans_beg JOIN trans_end USING(tid) ORDER BY tid DESC LIMIT 1'
params: None

Potential duplicate: bug 1111287

Comment 1 monroeds 2014-07-23 20:06:23 UTC
Created attachment 920354 [details]
File: backtrace

Comment 2 monroeds 2014-07-23 20:06:23 UTC
Created attachment 920355 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:27:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:43:33 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.